# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flatiron-video-uploader/version'

Gem::Specification.new do |spec|
  spec.name          = "flatiron-video-uploader"
  spec.version       = FlatironVideoUploader::VERSION
  spec.authors       = ["Joe Burgess"]
  spec.email         = ["joemburgess@gmail.com"]
  spec.summary       = %q{Gem to upload videos to s3 and youtube}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry-byebug"
  spec.add_runtime_dependency "httparty", "~> 0.13"
  spec.add_runtime_dependency "faraday", "= 0.9.1"
  spec.add_runtime_dependency "thor", "~> 0.19"
  spec.add_runtime_dependency "signet", "~> 0.6"
  spec.add_runtime_dependency "httpclient", "~> 2.6"
  spec.add_runtime_dependency "aws-sdk", "~> 2.1"
  spec.add_runtime_dependency "streamio-ffmpeg", "~> 1.0"
  spec.add_runtime_dependency "terminal-notifier", "~> 1.6"
  spec.add_runtime_dependency "google-api-client", "~> 0.8"
  spec.add_runtime_dependency "ruby-progressbar"
end
